Use build.info, not ifdef for crypto modules
[openssl.git] / crypto / rsa / build.info
1 LIBS=../../libcrypto
2
3 $COMMON=rsa_ossl.c rsa_gen.c rsa_lib.c rsa_sign.c rsa_pk1.c \
4         rsa_none.c rsa_oaep.c rsa_chk.c rsa_pss.c rsa_x931.c rsa_crpt.c \
5         rsa_x931g.c rsa_sp800_56b_gen.c rsa_sp800_56b_check.c rsa_backend.c \
6         rsa_mp_names.c
7
8 SOURCE[../../libcrypto]=$COMMON\
9         rsa_saos.c rsa_err.c rsa_asn1.c rsa_ameth.c rsa_prn.c \
10         rsa_pmeth.c rsa_meth.c rsa_mp.c rsa_ssl.c
11 IF[{- !$disabled{'deprecated-0.9.8'} -}]
12   SOURCE[../../libcrypto]=rsa_depr.c
13 ENDIF
14
15 SOURCE[../../providers/libfips.a]=$COMMON